<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Company extends Model
{protected $fillable = [
        
    'package_id','name','address','city','phone','email','theme','sidecolor','topcolor','expiry_date',
        ];
    //
 public function scopeOfCompany($query, $type)
    {
        return $query->where('companies.id', $type);
    }
    
function crms() {
    return $this->hasMany('App\crm');
}
function users() {
    return $this->hasMany('App\User');
}
function customers() {
    return $this->hasMany('App\customer');
}
function histories() {
    return $this->hasMany('App\history');
}
function offices() {
    return $this->hasMany('App\office');
}
function products() {
    return $this->hasMany('App\product');
}
function roles() {
    return $this->hasMany('App\role');
}
function sources() {
    return $this->hasMany('App\source');
}
function stages() {
    return $this->hasMany('App\stage');
}
public function packages()
    {
        return $this->belongsTo('App\Package');
    }
}
