<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\AuthenticatesUsers;

class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    protected $redirectTo = '/dashboard';

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {$today = date("Y-m-d");
        session(['today' => $today]);
        $lastmonthdate = strtotime('-1 month', strtotime($today));
        $lastmonthdate = date('Y-m-d', $lastmonthdate);
        session(['lastmonthdate' => $lastmonthdate]);
        $this->middleware('guest')->except('logout');
    }
}
